> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send year end statements to donors



## OpenAPI

````yaml post /admin/donors/send_year_end
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/donors/send_year_end:
    post:
      tags:
        - Donor
      summary: Send year end statements to donors
      operationId: a6d321a5b7abf24281bd526653614ba1
      requestBody:
        description: Data needed to send year end statements to donors
        required: true
        content:
          application/json:
            schema:
              properties:
                client_id:
                  description: The id of the client
                  type: string
                  example: '1'
                hysform_id:
                  description: The id of the form
                  type: integer
                  example: 1
                emailset_id:
                  type: integer
                  example: 1
                donor_ids:
                  type: array
                  items:
                    type: integer
                  example: '[1,2,3]'
                year:
                  description: The year of the statement
                  type: integer
                  example: 2020
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  success_message:
                    type: string
                    example: 2020 Year End Statements successfully sent to 5 Donors.
                  error_message:
                    type: string
                    example: 'Error: 2020 Year End Statements failed to send to 2 Donors'
                type: object
        '404':
          description: Donor Form Not Found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: 'Error: Donor Form Not Found.'
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````